package com.enactor.pos;

/**
 * Constants for the POS automation testing.
 * 
 * @author Thushara.Ramasinghe
 *
 */
public class PosTestConstants {
	
	/******************************************
	 * POS TERMINAL CONSTANTS
	 ******************************************/
	public static final String TERMINAL_NUMBER = "ProductOption.POSTerminal";
	public static final String LOCATION_ID = "Service.LocationID";
	
	/******************************************
	 * MOUSE SIMULATION
	 ******************************************/
	public static final String SIMULATE_MOUSE = "simulate.mouse";

	/******************************************
	 * KEYSTROKE CONSTANTS
	 ******************************************/
	public static final String KEY_ENTER = "KEY_ENTER";
	
	
	/******************************************
	 * CONTROL CONSTANTS
	 ******************************************/
	/***
	 * POS
	 ***/
	public static final String COMPONENT_INPUT_BOX = "COMPONENT_INPUT_BOX";
	public static final String COMPONENT_RECEIPT = "COMPONENT_RECEIPT";
	public static final String COMPONENT_BUTTON_0 = "COMPONENT_BUTTON_0";
	public static final String COMPONENT_BUTTON_1 = "COMPONENT_BUTTON_1";
	public static final String COMPONENT_BUTTON_2 = "COMPONENT_BUTTON_2";
	public static final String COMPONENT_BUTTON_3 = "COMPONENT_BUTTON_3";
	public static final String COMPONENT_BUTTON_4 = "COMPONENT_BUTTON_4";
	public static final String COMPONENT_BUTTON_5 = "COMPONENT_BUTTON_5";
	public static final String COMPONENT_BUTTON_6 = "COMPONENT_BUTTON_6";
	public static final String COMPONENT_BUTTON_7 = "COMPONENT_BUTTON_7";
	public static final String COMPONENT_BUTTON_8 = "COMPONENT_BUTTON_8";
	public static final String COMPONENT_CRM_BUTTON_1 = "COMPONENT_CRM_BUTTON_1";
	public static final String COMPONENT_CRM_BUTTON_2 = "COMPONENT_CRM_BUTTON_2";
	public static final String COMPONENT_CRM_BUTTON_3 = "COMPONENT_CRM_BUTTON_3";
	public static final String COMPONENT_CRM_BUTTON_4 = "COMPONENT_CRM_BUTTON_4";
	public static final String COMPONENT_CRM_BUTTON_5 = "COMPONENT_CRM_BUTTON_5";
	public static final String COMPONENT_CRM_BUTTON_6 = "COMPONENT_CRM_BUTTON_6";
	public static final String COMPONENT_CRM_BUTTON_7 = "COMPONENT_CRM_BUTTON_7";
	public static final String COMPONENT_CRM_BUTTON_8 = "COMPONENT_CRM_BUTTON_8";
	public static final String COMPONENT_SELECTION_LIST = "COMPONENT_SELECTION_LIST";
	public static final String COMPONENT_TOTAL_BUTTON = "COMPONENT_TOTAL_BUTTON";
	public static final String COMPONENT_BACK_BUTTON = "COMPONENT_BACK_BUTTON";
	public static final String COMPONENT_HOME_BUTTON = "COMPONENT_HOME_BUTTON";
	public static final String COMPONENT_LIST_BOX = "COMPONENT_LIST_BOX";
	public static final String COMPONENT_RECEIPT_LIST="COMPONENT_RECEIPT_LIST";
	public static final String COMPONENT_EMPTY_BASKET_PANEL="COMPONENT_EMPTY_BASKET_PANEL";
	public static final String COMPONENT_DIALOG_PANEL = "COMPONENT_DIALOG_PANEL";
	
	/***
	 * Reports
	 ***/
	public static final String COMPONENT_REPORT_DOCUMENT = "COMPONENT_REPORT_DOCUMENT";
	public static final String COMPONENT_REPORT_DATE_RANGE_START_DATE = "COMPONENT_REPORT_DATE_RANGE_START_DATE";
	public static final String COMPONENT_REPORT_DATE_RANGE_END_DATE = "COMPONENT_REPORT_DATE_RANGE_END_DATE";
	public static final String COMPONENT_REPORT_TYPE = "COMPONENT_REPORT_TYPE";	
	public static final String COMPONENT_REPORT_DISPLAY_DOCUMENT_NAME = "Report Document";
		
	/***
	 * Web Reports
	 ***/
	public static final String COMPONENT_WEB_REPORT= "Web Browser";
	
	/***
	 * Enter User
	 ***/
	public static final String COMPONENT_USER_NAME_TEXT = "COMPONENT_USER_NAME_TEXT";
	public static final String COMPONENT_PASSWORD_TEXT = "COMPONENT_PASSWORD_TEXT";
	public static final String COMPONENT_ENTER_BUTTON = "COMPONENT_ENTER_BUTTON";
	public static final String COMPONENT_CLEAR_BUTTON = "COMPONENT_CLEAR_BUTTON";
	public static final String COMPONENT_ALPHA_KEYBOARD = "COMPONENT_ALPHA_KEYBOARD";
	public static final String COMPONENT_TOGGLE_ALPHA_KEYBOARD = "COMPONENT_TOGGLE_ALPHA_KEYBOARD";
	public static final String COMPONENT_KEY_PAD_ENTER_BUTTON = "COMPONENT_KEY_PAD_ENTER_BUTTON";
	public static final String COMPONENT_ENTER_USER_ERROR_OK_BUTTON = "COMPONENT_ENTER_USER_ERROR_OK_BUTTON";
	public static final String COMPONENT_ENTER_USER_PRODUCT_SEARCH_BUTTON = "COMPONENT_ENTER_USER_PRODUCT_SEARCH_BUTTON";
	public static final String COMPONENT_ENTER_USER_TIME_ATTENDENCE_BUTTON = "COMPONENT_ENTER_USER_TIME_ATTENDENCE_BUTTON";
	public static final String COMPONENT_REMOVE_USER_CANCEL_BUTTON = "COMPONENT_REMOVE_USER_CANCEL_BUTTON";
	public static final String COMPONENT_REMOVE_USER_OK_BUTTON = "COMPONENT_REMOVE_USER_OK_BUTTON";
	
	public static final String COMPONENT_SCAN_TEXT="COMPONENT_SCAN_TEXT";
	public static final String COMPONENT_SCAN_BUTTON="COMPONENT_SCAN_BUTTON";
	
	/***
	 * Launch screen
	 ***/
	public static final String COMPONENT_LOG_OUT_BUTTON = "COMPONENT_LOG_OUT_BUTTON";
	public static final String COMPONENT_LOG_IN_BUTTON = "COMPONENT_LOG_IN_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_SELL_BUTTON = "COMPONENT_LAUNCH_SCREEN_SELL_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_CRM_BUTTON = "COMPONENT_LAUNCH_SCREEN_CRM_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_PRODUCT_BUTTON = "COMPONENT_LAUNCH_SCREEN_PRODUCT_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_ADMINISTRATION_BUTTON = "COMPONENT_LAUNCH_SCREEN_ADMINISTRATION_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_MAINTENANCE_BUTTON = "COMPONENT_LAUNCH_SCREEN_MAINTENANCE_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_USER_MAINTENANCE_BUTTON = "COMPONENT_LAUNCH_SCREEN_USER_MAINTENANCE_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_INVENTORY_BUTTON = "COMPONENT_LAUNCH_SCREEN_INVENTORY_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_RECEIVE_BUTTON = "COMPONENT_LAUNCH_SCREEN_RECEIVE_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_DISPATCH_BUTTON = "COMPONENT_LAUNCH_SCREEN_DISPATCH_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_TRANSFER_IN_BUTTON = "COMPONENT_LAUNCH_SCREEN_TRANSFER_IN_BUTTON";
	public static final String COMPONENT_LAUNCH_SCREEN_TRANSFER_OUT_BUTTON = "COMPONENT_LAUNCH_SCREEN_TRANSFER_OUT_BUTTON";
	public static final String COMPONENT_LUNCH_SCREEN_TITLE="COMPONENT_LUNCH_SCREEN_TITLE";
	
	/***
	 *  TRANSACTION BASKET HEADER
	 ***/
	public static final String COMPONENT_TRANSACTION_BASKET_CRM_BUTTON = "COMPONENT_TRANSACTION_BASKET_CRM_BUTTON";
	
	/***
	 * Cash management screen
	 ***/
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_FLOAT_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_FLOAT_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_PICKUP_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_PICKUP_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_INCOME_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_INCOME_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_EXPENSE_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_EXPENSE_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_SPOT_CHECK_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_SPOT_CHECK_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_CASHUP_AND_CLOSING_FLOAT_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_CASHUP_AND_CLOSING_FLOAT_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_MORE_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_MORE_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_SCREEN_BACK_BUTTON = "COMPONENT_CASH_MANAGEMENT_SCREEN_BACK_BUTTON";
	public static final String COMPONENT_CASH_MANAGEMENT_FINANCIAL_BUTTON = "COMPONENT_CASH_MANAGEMENT_FINANCIAL_BUTTON";
	public static final String COMPONENT_TERMINAL_CASH_MANAGEMENT_BUTTON = "COMPONENT_TERMINAL_CASH_MANAGEMENT_BUTTON";
	
	/***
	 * Scan screen 
	 ***/
	public static final String COMPONENT_BROWSE_BUTTON = "COMPONENT_BROWSE_BUTTON";
	public static final String COMPONENT_BAG_BUTTON = "COMPONENT_BAG_BUTTON";
	public static final String COMPONENT_EMPTY_BAG_BUTTON = "COMPONENT_EMPTY_BAG_BUTTON";
	public static final String COMPONENT_MORE_BUTTON = "COMPONENT_MORE_BUTTON";
	public static final String COMPONENT_MAKE_PAYMENT_BUTTON = "COMPONENT_MAKE_PAYMENT_BUTTON";
	
	/***
	 * Edit Product Popup
	 ***/
	public static final String COMPONENT_PRODUCT_INFO_BUTTON = "COMPONENT_PRODUCT_INFO_BUTTON";
	public static final String COMPONENT_ITEM_DISCOUNT_BUTTON = "COMPONENT_ITEM_DISCOUNT_BUTTON";
	public static final String COMPONENT_SOLD_AT_TICKET_PRICE_BUTTON = "COMPONENT_SOLD_AT_TICKET_PRICE_BUTTON";
	
	/***
	 * Authorisation Popup 
	 ***/
	public static final String COMPONENT_AUTHORISED_USER_NAME_TEXT = "COMPONENT_AUTHORISED_USER_NAME_TEXT";
	public static final String COMPONENT_AUTHORISED_PASSWORD_TEXT = "COMPONENT_AUTHORISED_PASSWORD_TEXT";
	public static final String COMPONENT_AUTHORISE_BUTTON = "COMPONENT_AUTHORISE_BUTTON";

	/***
	 * Product Details screen
	 ***/
	public static final String COMPONENT_PRODUCT_NO_FIELD = "COMPONENT_PRODUCT_NO_FIELD";
	public static final String COMPONENT_PRODUCT_IMAGE_FIELD = "COMPONENT_PRODUCT_IMAGE_FIELD";
	
	/***
	 * Select Tender screen
	 ***/
	public static final String COMPONENT_CARD_TENDER = "COMPONENT_CARD_TENDER";
	
	/***
	 * Card Payment screen
	 ***/
	public static final String COMPONENT_INSERT_CARD_TEXT = "COMPONENT_INSERT_CARD_TEXT";
	public static final String COMPONENT_BALANCE_DUE_LABEL = "COMPONENT_BALANCE_DUE_LABEL";
	public static final String COMPONENT_BALANCE_VALUE_LABEL = "COMPONENT_BALANCE_VALUE_LABEL";
	
	/***
	 * Receipt screen
	 ***/
	public static final String COMPONENT_EMAIL_ONLY_BUTTON = "COMPONENT_EMAIL_ONLY_BUTTON";
	public static final String COMPONENT_EMAIL_AND_PRINT_BUTTON = "COMPONENT_EMAIL_AND_PRINT_BUTTON";
	public static final String COMPONENT_PRINT_ONLY_BUTTON = "COMPONENT_PRINT_ONLY_BUTTON";	
	
	/***
	 * Email Address screen
	 ***/
	public static final String COMPONENT_EMAIL_FIELD = "COMPONENT_EMAIL_FIELD";
	public static final String COMPONENT_EMAIL_RECEIPT_BUTTON = "COMPONENT_EMAIL_RECEIPT_BUTTON";
	
	/***
	 * Sale screen
	 ***/
	public static final String COMPONENT_LOG_OUT_BUTTON1 = "COMPONENT_LOG_OUT_BUTTON1";
	public static final String COMPONENT_NUMERICPAD_ENTER_BUTTON = "COMPONENT_NUMERICPAD_ENTER_BUTTON";
	public static final String COMPONENT_QTY_SALE_ERROR_OK_BUTTON = "COMPONENT_QTY_SALE_ERROR_OK_BUTTON";
	public static final String COMPONENT_TAX_PRINTED_OK_BUTTON = "COMPONENT_TAX_PRINTED_OK_BUTTON";
	
	/***
	 * Cash Drawer
	 ***/
	public static final String COMPONENT_DRAWER_STATUS_LABEL = "COMPONENT_DRAWER_STATUS_LABEL";
	public static final String COMPONENT_DRAWER_CLOSE_BUTTON = "COMPONENT_DRAWER_CLOSE_BUTTON";
	
	/***
	 * ICC Reader
	 */
	public static final String COMPONENT_CARD_INSERTED = "COMPONENT_CARD_INSERTED";
	public static final String COMPONENT_ICCREADER_ENTER_BUTTON = "COMPONENT_ICCREADER_ENTER_BUTTON";
	public static final String COMPONENT_ICCREADER_LINE_1_TEXT_FIELD = "COMPONENT_ICCREADER_LINE_1_TEXT_FIELD";
	public static final String COMPONENT_ICCREADER_PAN_TEXT_FIELD = "COMPONENT_ICCREADER_PAN_TEXT_FIELD";
	
	/***
	 * Test Printer
	 ***/
	public static final String COMPONENT_TEST_PRINTER_CLEAR_BUTTON = "COMPONENT_TEST_PRINTER_CLEAR_BUTTON";
	public static final String COMPONENT_TEST_PRINTER_RECEIPT_EDITOR = "COMPONENT_TEST_PRINTER_RECEIPT_EDITOR";
	
	public static final String COMPONENT_RETRY_BUTTON = "COMPONENT_RETRY_BUTTON";
	public static final String COMPONENT_CONTINUE_WITHOUT_PRINTING_BUTTON = "COMPONENT_CONTINUE_WITHOUT_PRINTING_BUTTON";
	
	/***
	 * BASKET ITEM PANEL
	 ***/
	public static final String COMPONENT_BASKET_CONTROL_REMOVE_ITEM_2_BUTTON = "COMPONENT_BASKET_CONTROL_REMOVE_ITEM_2_BUTTON";
	public static final String COMPONENT_BASKET_CONTROL_EDIT_ITEM_2_BUTTON = "COMPONENT_BASKET_CONTROL_EDIT_ITEM_2_BUTTON";
	public static final String COMPONENT_BASKET_CONTROL_VOID_DISCOUNT_2_BUTTON = "COMPONENT_BASKET_CONTROL_VOID_DISCOUNT_2_BUTTON";
	public static final String COMPONENT_BASKET_CONTROL_DISCOUNT_AMOUNT = "COMPONENT_BASKET_CONTROL_DISCOUNT_AMOUNT";
	
	public static final String COMPONENT_BASKET_RETURN_GIFT_TEXT = "COMPONENT_BASKET_RETURN_GIFT_TEXT";
	
	/***
	 * PRODUCT SEARCH
	 ***/
	public static final String COMPONENT_PRODUCT_SEARCH_MMG_GROUP_FILTER = "COMPONENT_PRODUCT_SEARCH_MMG_GROUP_FILTER";
	public static final String COMPONENT_PRODUCT_SEARCH_PRODUCT_ID_FILTER = "COMPONENT_PRODUCT_SEARCH_PRODUCT_ID_FILTER";
	public static final String COMPONENT_PRODUCT_SEARCH_DESCRIPTION_FILTER = "COMPONENT_PRODUCT_SEARCH_DESCRIPTION_FILTER";
	public static final String COMPONENT_PRODUCT_SEARCH_COLOUR_FILTER = "COMPONENT_PRODUCT_SEARCH_COLOUR_FILTER";
	public static final String COMPONENT_PRODUCT_SEARCH_PRICE_START_FILTER = "COMPONENT_PRODUCT_SEARCH_PRICE_START_FILTER";
	public static final String COMPONENT_PRODUCT_SEARCH_PRICE_END_FILTER = "COMPONENT_PRODUCT_SEARCH_PRICE_END_FILTER";
	
	/***
	 * CAPTURE CUSTOMER CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_CUSTOMER_FORENAME_TEXT = "COMPONENT_CUSTOMER_FORENAME_TEXT";
	public static final String COMPONENT_CUSTOMER_SURNAME_TEXT = "COMPONENT_CUSTOMER_SURNAME_TEXT";
	public static final String COMPONENT_CUSTOMER_ORGANISATION_TEXT = "COMPONENT_CUSTOMER_ORGANISATION_TEXT";
	public static final String COMPONENT_CUSTOMER_TITLE_DROPDOWN = "COMPONENT_CUSTOMER_TITLE_DROPDOWN";
	public static final String COMPONENT_CUSTOMER_INITIALS_TEXT = "COMPONENT_CUSTOMER_INITIALS_TEXT";
	public static final String COMPONENT_CUSTOMER_SEX_DROPDOWN = "COMPONENT_CUSTOMER_SEX_DROPDOWN";
	public static final String COMPONENT_CUSTOMER_DATE_OF_BIRTH_TEXT = "COMPONENT_CUSTOMER_DATE_OF_BIRTH_TEXT";
	
	public static final String COMPONENT_CUSTOMER_ADDRESS_LINE1_TEXT = "COMPONENT_CUSTOMER_ADDRESS_LINE1_TEXT";
	public static final String COMPONENT_CUSTOMER_ADDRESS_LINE2_TEXT = "COMPONENT_CUSTOMER_ADDRESS_LINE2_TEXT";
	public static final String COMPONENT_CUSTOMER_ADDRESS_LINE3_TEXT = "COMPONENT_CUSTOMER_ADDRESS_LINE3_TEXT";
	public static final String COMPONENT_CUSTOMER_TOWN_TEXT = "COMPONENT_CUSTOMER_TOWN_TEXT";
	public static final String COMPONENT_CUSTOMER_COUNTY_TEXT = "COMPONENT_CUSTOMER_COUNTY_TEXT";
	public static final String COMPONENT_CUSTOMER_COUNTRY_DROPDOWN = "COMPONENT_CUSTOMER_COUNTRY_DROPDOWN";
	public static final String COMPONENT_CUSTOMER_POSTCODE = "COMPONENT_CUSTOMER_POSTCODE";
	
	public static final String COMPONENT_CUSTOMER_PHONE1_TEXT = "COMPONENT_CUSTOMER_PHONE1_TEXT";
	public static final String COMPONENT_CUSTOMER_PHONE2_TEXT = "COMPONENT_CUSTOMER_PHONE2_TEXT";
	public static final String COMPONENT_CUSTOMER_MOBILE_TEXT = "COMPONENT_CUSTOMER_MOBILE_TEXT";
	public static final String COMPONENT_CUSTOMER_FAX_TEXT = "COMPONENT_CUSTOMER_FAX_TEXT";
	public static final String COMPONENT_CUSTOMER_EMAIL_TEXT_MANDATORY = "COMPONENT_CUSTOMER_EMAIL_TEXT_MANDATORY";
	public static final String COMPONENT_CUSTOMER_EMAIL_TEXT_OPTIONAL = "COMPONENT_CUSTOMER_EMAIL_TEXT_OPTIONAL";
	
	public static final String COMPONENT_CUSTOMER_NAME_ERROR = "COMPONENT_CUSTOMER_NAME_ERROR";
	public static final String COMPONENT_CUSTOMER_SURNAME_ERROR = "COMPONENT_CUSTOMER_SURNAME_ERROR";
	public static final String COMPONENT_CUSTOMER_ORGANISATION_ERROR = "COMPONENT_CUSTOMER_ORGANISATION_ERROR";
	public static final String COMPONENT_CUSTOMER_DATE_OF_BIRTH_ERROR = "COMPONENT_CUSTOMER_DATE_OF_BIRTH_ERROR";
	
	public static final String COMPONENT_CUSTOMER_ADDRESS_LINE1_ERROR = "COMPONENT_CUSTOMER_ADDRESS_LINE1_ERROR";
	public static final String COMPONENT_CUSTOMER_POSTCODE_ERROR = "COMPONENT_CUSTOMER_POSTCODE_ERROR";
	
	public static final String COMPONENT_CUSTOMER_PHONE1_ERROR = "COMPONENT_CUSTOMER_PHONE1_ERROR";
	public static final String COMPONENT_CUSTOMER_PHONE2_ERROR = "COMPONENT_CUSTOMER_PHONE2_ERROR";
	public static final String COMPONENT_CUSTOMER_MOBILE_ERROR = "COMPONENT_CUSTOMER_MOBILE_ERROR";
	public static final String COMPONENT_CUSTOMER_FAX_ERROR = "COMPONENT_CUSTOMER_FAX_ERROR";
	public static final String COMPONENT_CUSTOMER_EMAIL_ERROR = "COMPONENT_CUSTOMER_EMAIL_ERROR";
	
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ACCOUNT_NUMBER = "COMPONENT_BASKET_HEADERS_CUSTOMER_ACCOUNT_NUMBER";
	
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_TITLE = "COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_TITLE";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_FORNAME = "COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_FORNAME";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_SURNAME = "COMPONENT_BASKET_HEADERS_CUSTOMER_NAME_SURNAME";
	
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET1 = "COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET1";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET2 = "COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET2";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET3 = "COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_STREET3";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_TOWN = "COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_TOWN";
	public static final String COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_POSTCODE = "COMPONENT_BASKET_HEADERS_CUSTOMER_ADDRESS_POSTCODE";
	
	public static final String COMPONENT_BASKET_HEADERS_USER_NAME = "COMPONENT_BASKET_HEADERS_USER_NAME";
	public static final String WINDOW_CAPTURE_CUSTOMER_NAME_EMAIL = "WINDOW_CAPTURE_CUSTOMER_NAME_EMAIL";
	public static final String WINDOW_CUSTOMER_NAME_SEARCH_BY_POSTCODE= "WINDOW_CUSTOMER_NAME_SEARCH_BY_POSTCODE";
	public static final String WINDOW_CUSTOMER_SELECTION_PROMPT= "WINDOW_CUSTOMER_SELECTION_PROMPT";
	public static final String WINDOW_CONFIRM_CUSTOMER_PROMPT= "WINDOW_CONFIRM_CUSTOMER_PROMPT";
	/***
	 * CRM SCREEN CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_CRM_CUSTOMERS_BUTTON = "COMPONENT_CRM_CUSTOMERS_BUTTON";
	
	/***
	 * CRM CUSTOMER CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_TAB = "COMPONENT_CRM_CUSTOMER_SEARCH_TAB";
	public static final String COMPONENT_CRM_CUSTOMER_NEW_CUSTOMER_TAB = "COMPONENT_CRM_CUSTOMER_NEW_CUSTOMER_TAB";
	public static final String COMPONENT_CRM_CUSTOMER_TITLE_INPUT = "COMPONENT_CRM_CUSTOMER_TITLE_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_FIRST_NAME_INPUT = "COMPONENT_CRM_CUSTOMER_FIRST_NAME_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_SURNAME_INPUT = "COMPONENT_CRM_CUSTOMER_SURNAME_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_TEL_INPUT = "COMPONENT_CRM_CUSTOMER_TEL_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_EMAIL_INPUT = "COMPONENT_CRM_CUSTOMER_EMAIL_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_COUNTRY_CODE_INPUT = "COMPONENT_CRM_CUSTOMER_COUNTRY_CODE_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_POSTCODE_INPUT = "COMPONENT_CRM_CUSTOMER_POSTCODE_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_STREET_ONE_INPUT= "COMPONENT_CRM_CUSTOMER_STREET_ONE_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_STREET_TWO_INPUT = "COMPONENT_CRM_CUSTOMER_STREET_TWO_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_STREET_THREE_INPUT = "COMPONENT_CRM_CUSTOMER_STREET_THREE_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_TOWN_INPUT = "COMPONENT_CRM_CUSTOMER_TOWN_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_COUNTY_INPUT = "COMPONENT_CRM_CUSTOMER_COUNTY_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_ADDRESS_LOOKUP = "COMPONENT_CRM_CUSTOMER_ADDRESS_LOOKUP";
	public static final String COMPONENT_CRM_CUSTOMER_ADDRESS_SELECT_BUTTON = "COMPONENT_CRM_CUSTOMER_ADDRESS_SELECT_BUTTON";
	public static final String COMPONENT_CRM_ADDRESS_NOT_SELECTED_OK_BUTTON = "COMPONENT_CRM_ADDRESS_NOT_SELECTED_OK_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_POSTCODE_ADDRESS_TABLE = "COMPONENT_CRM_CUSTOMER_POSTCODE_ADDRESS_TABLE";
	public static final String COMPONENT_CRM_CUSTOMER_SAVE_PANEL = "COMPONENT_CRM_CUSTOMER_SAVE_PANEL";
	
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_ADDRESS_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_ADDRESS_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_EMAIL_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_EMAIL_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_LOYALTY_NO_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_LOYALTY_NO_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_NAME_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_NAME_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_PHONE_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_PHONE_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_POSTCODE_TEXT = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_POSTCODE_TEXT";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_SEARCH_BUTTON = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_SEARCH_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_SELECT_CUSTOMER_BUTTON = "COMPONENT_CRM_CUSTOMER_SEARCH_PAGE_SELECT_CUSTOMER_BUTTON";
	
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CALL_CLIENT_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CALL_CLIENT_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_DETAILS_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_DETAILS_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_HISTORY_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_HISTORY_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_EMAIL_CLIENT_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_EMAIL_CLIENT_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_PREFERENCES_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_PREFERENCES_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_TRANSACTION_HISTORY_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_TRANSACTION_HISTORY_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_START_SALE_BUTTON = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_START_SALE_BUTTON";
	
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_APPOINTMENTS_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_APPOINTMENTS_SECTION";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_DETAILS_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CONTACT_DETAILS_SECTION";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_MAIN_ADDRESS_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_MAIN_ADDRESS_SECTION";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CUSTOMER_GROUPS_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_CUSTOMER_GROUPS_SECTION";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_LOYALTY_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_LOYALTY_SECTION";
	public static final String COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_PERSONAL_DETAILS_SECTION = "COMPONENT_CRM_CUSTOMER_CLIENT_DETAILS_PAGE_PERSONAL_DETAILS_SECTION";
	
	public static final String COMPONENT_CRM_CUSTOMER_CONTACT_DETAILS_PAGE_EMAIL_TAB = "COMPONENT_CRM_CUSTOMER_CONTACT_DETAILS_PAGE_EMAIL_TAB";
	public static final String COMPONENT_CRM_CUSTOMER_CONTACT_DETAILS_PAGE_VIEW_EMAIL = "COMPONENT_CRM_CUSTOMER_CONTACT_DETAILS_PAGE_VIEW_EMAIL";
	public static final String COMPONENT_CRM_CUSTOMER_EDIT_EMAIL_PAGE_EDIT_BUTTON = "COMPONENT_CRM_CUSTOMER_EDIT_EMAIL_PAGE_EDIT_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_EDIT_EMAIL_PAGE_EMAIL_ADDRESS_TEXT = "COMPONENT_CRM_CUSTOMER_EDIT_EMAIL_PAGE_EMAIL_ADDRESS_TEXT";
	
	public static final String COMPONENT_CRM_CUSTOMER_CONTACT_HISTORY_MY_CONTACTS_ONLY_CHECKBOX = "COMPONENT_CRM_CUSTOMER_CONTACT_HISTORY_MY_CONTACTS_ONLY_CHECKBOX";
	public static final String COMPONENT_CRM_CUSTOMER_CONTACT_HISTORY_PANEL = "COMPONENT_CRM_CUSTOMER_CONTACT_HISTORY_PANEL";

	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_KEY_DATE_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_KEY_DATE_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_CANCEL_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_DATE_DROPDOWN = "COMPONENT_CRM_CUSTOMER_PREFERENCES_DATE_DROPDOWN";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_DETAILS_INPUT = "COMPONENT_CRM_CUSTOMER_PREFERENCES_DETAILS_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_GENERATE_REMINDER_CHECKBOX = "COMPONENT_CRM_CUSTOMER_PREFERENCES_GENERATE_REMINDER_CHECKBOX";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_TYPE_DROPDOWN = "COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_TYPE_DROPDOWN";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_MONTH_DROPDOWN = "COMPONENT_CRM_CUSTOMER_PREFERENCES_MONTH_DROPDOWN";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_RECURS_ANNUALLY_CHECKBOX = "COMPONENT_CRM_CUSTOMER_PREFERENCES_RECURS_ANNUALLY_CHECKBOX";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_SAVE_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_SAVE_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_VIEW_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_KEY_DATE_VIEW_BUTTON";
	
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_NOTE_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_NOTE_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_CANCEL_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_INPUT = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_INPUT";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_PRIVATE_CHECKBOX = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_PRIVATE_CHECKBOX";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_SAVE_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_SAVE_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_TAB = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_TAB";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_VIEW_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_NOTES_VIEW_BUTTON";
	
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_PREF_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_ADD_PREF_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCES_TAB = "COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCES_TAB";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_TYPE_DROPDOWN = "COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_TYPE_DROPDOWN";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_LIST = "COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_LIST";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_VALUES_LIST = "COMPONENT_CRM_CUSTOMER_PREFERENCES_PREFERENCE_VALUES_LIST";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_SELECT_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_SELECT_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_CANCEL_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_CHANGE_PREF_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_CHANGE_PREF_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_PREFERENCES_SAVE_BUTTON = "COMPONENT_CRM_CUSTOMER_PREFERENCES_SAVE_BUTTON";

	public static final String COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_MY_TRANS_ONLY_CHECKBOX = "COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_MY_TRANS_ONLY_CHECKBOX";
	public static final String COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_SEARCH_BUTTON = "COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_SEARCH_BUTTON";
	public static final String COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_WEB_BUTTON = "COMPONENT_CRM_CUSTOMER_TRANSACTION_HISTORY_WEB_BUTTON";

	public static final String COMPONENT_CRM_DIARY_PREVIOUS_MONTH_BUTTON = "COMPONENT_CRM_DIARY_PREVIOUS_MONTH_BUTTON";
	public static final String COMPONENT_CRM_DIARY_THIS_MONTH_BUTTON = "COMPONENT_CRM_DIARY_THIS_MONTH_BUTTON";
	public static final String COMPONENT_CRM_DIARY_NEXT_MONTH_BUTTON = "COMPONENT_CRM_DIARY_NEXT_MONTH_BUTTON";
	public static final String COMPONENT_CRM_DIARY_DAY_VIEW_BUTTON = "COMPONENT_CRM_DIARY_DAY_VIEW_BUTTON";
	public static final String COMPONENT_CRM_DIARY_MONTH_BACK_BUTTON = "COMPONENT_CRM_DIARY_MONTH_BACK_BUTTON";
	public static final String COMPONENT_CRM_DIARY_WEEK_BACK_BUTTON = "COMPONENT_CRM_DIARY_WEEK_BACK_BUTTON";
	public static final String COMPONENT_CRM_DIARY_DAY_BACK_BUTTON = "COMPONENT_CRM_DIARY_DAY_BACK_BUTTON";
	public static final String COMPONENT_CRM_DIARY_TODAY_BUTTON = "COMPONENT_CRM_DIARY_TODAY_BUTTON";
	public static final String COMPONENT_CRM_DIARY_DAY_FORWARD_BUTTON = "COMPONENT_CRM_DIARY_DAY_FORWARD_BUTTON";
	public static final String COMPONENT_CRM_DIARY_WEEK_FORWARD_BUTTON = "COMPONENT_CRM_DIARY_WEEK_FORWARD_BUTTON";
	public static final String COMPONENT_CRM_DIARY_MONTH_FORWARD_BUTTON = "COMPONENT_CRM_DIARY_MONTH_FORWARD_BUTTON";
	public static final String COMPONENT_CRM_DIARY_MONTH_VIEW_BUTTON = "COMPONENT_CRM_DIARY_MONTH_VIEW_BUTTON";
	public static final String COMPONENT_CRM_DIARY_SHOW_DIARY_FOR_DROPDOWN = "COMPONENT_CRM_DIARY_SHOW_DIARY_FOR_DROPDOWN";
	
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_ASSOCIATE_DROPDOWN = "COMPONENT_CRM_MANAGER_OVERVIEW_ASSOCIATE_DROPDOWN";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_OPEN_JOBS_FIELD = "COMPONENT_CRM_MANAGER_OVERVIEW_OPEN_JOBS_FIELD";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_ALL_JOBS_FIELD = "COMPONENT_CRM_MANAGER_OVERVIEW_ALL_JOBS_FIELD";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_AFFILIATIONS_TAB = "COMPONENT_CRM_MANAGER_OVERVIEW_AFFILIATIONS_TAB";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_TAB = "COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_TAB";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_REASON_DROPDOWN = "COMPONENT_CRM_MANAGER_OVERVIEW_REASON_DROPDOWN";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_REASSIGN_TO_DROPDOWN = "COMPONENT_CRM_MANAGER_OVERVIEW_REASSIGN_TO_DROPDOWN";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_CANCEL_BUTTON = "COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_OK_BUTTON = "COMPONENT_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE_OK_BUTTON";
	
	public static final String COMPONENT_CRM_MESSAGES_COMPOSE_BUTTON = "COMPONENT_CRM_MESSAGES_COMPOSE_BUTTON";
	public static final String COMPONENT_CRM_MESSAGES_CLIENT_SEARCH_BUTTON = "COMPONENT_CRM_MESSAGES_CLIENT_SEARCH_BUTTON";
	public static final String COMPONENT_CRM_MESSAGES_STATUS_DROPDOWN = "COMPONENT_CRM_MESSAGES_STATUS_DROPDOWN";
	public static final String COMPONENT_CRM_MESSAGES_EMAIL_OVERVIEW_PANEL = "COMPONENT_CRM_MESSAGES_EMAIL_OVERVIEW_PANEL";
	public static final String COMPONENT_CRM_MESSAGES_EMAIL_DRAFTS_TAB = "COMPONENT_CRM_MESSAGES_EMAIL_DRAFTS_TAB";
	public static final String COMPONENT_CRM_MESSAGES_VIEW_MESSAGE_BUTTON = "COMPONENT_CRM_MESSAGES_VIEW_MESSAGE_BUTTON";
	public static final String COMPONENT_CRM_MESSAGES_DELETE_MESSAGE_BUTTON = "COMPONENT_CRM_MESSAGES_DELETE_MESSAGE_BUTTON";
	
	public static final String COMPONENT_CRM_CALL_CLIENT_PANEL = "COMPONENT_CRM_CALL_CLIENT_PANEL";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_CLIENT_DETAILS_BUTTON = "COMPONENT_CRM_CALL_CLIENT_PAGE_CLIENT_DETAILS_BUTTON";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_CONTACT_TYPE_DROPDOWN = "COMPONENT_CRM_CALL_CLIENT_PAGE_CONTACT_TYPE_DROPDOWN";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_SUBJECT_INPUT = "COMPONENT_CRM_CALL_CLIENT_PAGE_SUBJECT_INPUT";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_CUSTOMER_RESPONSE_INPUT = "COMPONENT_CRM_CALL_CLIENT_PAGE_CUSTOMER_RESPONSE_INPUT";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_BOOK_APPOINTMENT_BUTTON = "COMPONENT_CRM_CALL_CLIENT_PAGE_BOOK_APPOINTMENT_BUTTON";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_CANCEL_BUTTON = "COMPONENT_CRM_CALL_CLIENT_PAGE_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_CALL_CLIENT_PAGE_SAVE_BUTTON = "COMPONENT_CRM_CALL_CLIENT_PAGE_SAVE_BUTTON";
	
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_TEMPLATE_DROPDOWN = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_TEMPLATE_DROPDOWN";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_SUBJECT_INPUT = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_SUBJECT_INPUT";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_EMAIL_CONTENT_INPUT = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_EMAIL_CONTENT_INPUT";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_CANCEL_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_SAVE_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_SAVE_BUTTON";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_SEND_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_SEND_BUTTON";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_ADDRESS_BOOK_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_ADDRESS_BOOK_BUTTON";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_PAGE_VIEW_CLIENT_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_PAGE_VIEW_CLIENT_BUTTON";
	public static final String COMPONENT_CRM_EMAIL_CLIENT_ERROR_OK_BUTTON = "COMPONENT_CRM_EMAIL_CLIENT_ERROR_OK_BUTTON";
	
	public static final String COMPONENT_CRM_JOBS_PANEL = "COMPONENT_CRM_JOBS_PANEL";
	public static final String COMPONENT_CRM_JOBS_ACTIVE_JOBS_SECTION = "COMPONENT_CRM_JOBS_ACTIVE_JOBS_SECTION";
	public static final String COMPONENT_CRM_JOBS_FINISHED_JOBS_SECTION = "COMPONENT_CRM_JOBS_FINISHED_JOBS_SECTION";
	public static final String COMPONENT_CRM_JOBS_NEW_JOB_BUTTON = "COMPONENT_CRM_JOBS_NEW_JOB_BUTTON";
	public static final String COMPONENT_CRM_JOBS_TEAM_JOBS_TAB = "COMPONENT_CRM_JOBS_TEAM_JOBS_TAB";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_START_BUTTON = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_START_BUTTON";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_PANEL = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_PANEL";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CLIENT_SEARCH_BUTTON = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CLIENT_SEARCH_BUTTON";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CANCEL_BUTTON = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CANCEL_BUTTON";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CLIENT_INFORMATION_PANEL = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_CLIENT_INFORMATION_PANEL";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_VIEW_CLIENT_BUTTON = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_VIEW_CLIENT_BUTTON";
	public static final String COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_NOTES_INPUT = "COMPONENT_CRM_JOBS_AFFILIATION_REQUEST_NOTES_INPUT";
	public static final String COMPONENT_CRM_JOBS_REQUEST_AFFILIATION_BUTTON = "COMPONENT_CRM_JOBS_REQUEST_AFFILIATION_BUTTON";
	public static final String COMPONENT_CRM_JOBS_REQUEST_AFFILIATION_OK_BUTTON = "COMPONENT_CRM_JOBS_REQUEST_AFFILIATION_OK_BUTTON";
	
	/***
	 * RICH PRODUCT SEARCH CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_PRODUCT_SEARCH_INPUT = "COMPONENT_PRODUCT_SEARCH_INPUT";
	public static final String COMPONENT_PRODUCT_SEARCH_RESULT_ITEM_1 = "COMPONENT_PRODUCT_SEARCH_RESULT_ITEM_1";
	public static final String COMPONENT_PRODUCT_DETAILS_RECEINT_VIEWD_BUTTON = "COMPONENT_PRODUCT_DETAILS_RECEINT_VIEWD_BUTTON";
	public static final String COMPONENT_PRODUCT_INCREASE_QUANTITY = "COMPONENT_PRODUCT_INCREASE_QUANTITY";
	public static final String COMPONENT_PRODUCT_DECRESE_QUANTITY = "COMPONENT_PRODUCT_DECRESE_QUANTITY";
	public static final String COMPONENT_PRODUCT_ADD_TO_BAG = "COMPONENT_PRODUCT_ADD_TO_BAG";
	public static final String COMPONENT_PRODUCT_COLOR_COMBO = "COMPONENT_PRODUCT_COLOR_COMBO";
	public static final String COMPONENT_PRODUCT_SIZE_1_BUTTON = "COMPONENT_PRODUCT_SIZE_1_BUTTON";
	public static final String COMPONENT_PRODUCT_SIZE_2_BUTTON = "COMPONENT_PRODUCT_SIZE_2_BUTTON";
	
	public static final String COMPONENT_PRODUCT_ID_FIELD = "COMPONENT_PRODUCT_ID_FIELD";
	public static final String COMPONENT_PRODUCT_DESCRIPTION_FIELD = "COMPONENT_PRODUCT_DESCRIPTION_FIELD";
	public static final String COMPONENT_PRODUCT_LONG_DESCRIPTION_FIELD = "COMPONENT_PRODUCT_LONG_DESCRIPTION_FIELD";
	public static final String COMPONENT_PRODUCT_PRICE_FIELD = "COMPONENT_PRODUCT_PRICE_FIELD";
	public static final String COMPONENT_PRODUCT_INFO_FIELD = "COMPONENT_PRODUCT_INFO_FIELD";
	public static final String COMPONENT_PRODUCT_STOCK_FIELD = "COMPONENT_PRODUCT_STOCK_FIELD";
	
	/***
	 * MAINTENANCE CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_MAINTENANCE_USER_USER_ID = "COMPONENT_MAINTENANCE_USER_USER_ID";
	public static final String COMPONENT_MAINTENANCE_USER_DISPLAY_NAME = "COMPONENT_MAINTENANCE_USER_DISPLAY_NAME";
	public static final String COMPONENT_MAINTENANCE_USER_SURNAME = "COMPONENT_MAINTENANCE_USER_SURNAME";
	public static final String COMPONENT_MAINTENANCE_USER_PASSWORD_OK = "COMPONENT_MAINTENANCE_USER_PASSWORD_OK";
	public static final String COMPONENT_MAINTENANCE_USER_PASSWORD = "COMPONENT_MAINTENANCE_USER_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_REENTER_PASSWORD = "COMPONENT_MAINTENANCE_USER_REENTER_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_CRITERIA_LOCATION_DROPDOWN = "COMPONENT_MAINTENANCE_USER_CRITERIA_LOCATION_DROPDOWN";
	public static final String COMPONENT_MAINTENANCE_USER_TITLE = "COMPONENT_MAINTENANCE_USER_TITLE";
	public static final String COMPONENT_MAINTENANCE_USER_FORENAME = "COMPONENT_MAINTENANCE_USER_FORENAME";
	public static final String COMPONENT_MAINTENANCE_USER_INITIALS = "COMPONENT_MAINTENANCE_USER_INITIALS";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_ORGANISATION = "COMPONENT_MAINTENANCE_USER_ADDRESS_ORGANISATION";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_STREET1 = "COMPONENT_MAINTENANCE_USER_ADDRESS_STREET1";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_STREET2 = "COMPONENT_MAINTENANCE_USER_ADDRESS_STREET2";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_STREET3 = "COMPONENT_MAINTENANCE_USER_ADDRESS_STREET3";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_TOWN = "COMPONENT_MAINTENANCE_USER_ADDRESS_TOWN";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_COUNTY = "COMPONENT_MAINTENANCE_USER_ADDRESS_COUNTY";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_COUNTRY_DROPDOWN = "COMPONENT_MAINTENANCE_USER_ADDRESS_COUNTRY_DROPDOWN";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_POSTCODE = "COMPONENT_MAINTENANCE_USER_ADDRESS_POSTCODE";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_HOME_PHONE_NUMBER = "COMPONENT_MAINTENANCE_USER_ADDRESS_HOME_PHONE_NUMBER";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_WORK_PHONE_NUMBER = "COMPONENT_MAINTENANCE_USER_ADDRESS_WORK_PHONE_NUMBER";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_MOBILE_PHONE_NUMBER = "COMPONENT_MAINTENANCE_USER_ADDRESS_MOBILE_PHONE_NUMBER";
	public static final String COMPONENT_MAINTENANCE_USER_ADDRESS_EMAIL_ADDRESS = "COMPONENT_MAINTENANCE_USER_ADDRESS_EMAIL_ADDRESS";
	
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_ACTIVATED = "COMPONENT_MAINTENANCE_USER_SECURITY_ACTIVATED";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_DEACTIVATED = "COMPONENT_MAINTENANCE_USER_SECURITY_DEACTIVATED";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_PASSWORD_EXPIRY = "COMPONENT_MAINTENANCE_USER_SECURITY_PASSWORD_EXPIRY";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_INACTIVITY_DELAY = "COMPONENT_MAINTENANCE_USER_SECURITY_INACTIVITY_DELAY";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_CARD_NUMBER = "COMPONENT_MAINTENANCE_USER_SECURITY_CARD_NUMBER";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_CHANGE_PASSWORD = "COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_CHANGE_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_ALPHA_NUMERIC_PASSWORD = "COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_ALPHA_NUMERIC_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_MIXED_CASE_PASSWORD = "COMPONENT_MAINTENANCE_USER_SECURITY_FORCE_MIXED_CASE_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_PREVENT_PASSWORD_REUSE = "COMPONENT_MAINTENANCE_USER_SECURITY_PREVENT_PASSWORD_REUSE";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_DISABLED = "COMPONENT_MAINTENANCE_USER_SECURITY_DISABLED";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_TRAINING_MODE = "COMPONENT_MAINTENANCE_USER_SECURITY_TRAINING_MODE";
	public static final String COMPONENT_MAINTENANCE_USER_SECURITY_DISALLOW_MULTI_LOCATION_SIGNON = "COMPONENT_MAINTENANCE_USER_SECURITY_DISALLOW_MULTI_LOCATION_SIGNON";
	public static final String COMPONENT_MAINTENANCE_USER_ACCESS_TIMES_SUNDAY_START = "COMPONENT_MAINTENANCE_USER_ACCESS_TIMES_SUNDAY_START";
	public static final String COMPONENT_MAINTENANCE_USER_EMAIL_ADDRESS = "COMPONENT_MAINTENANCE_USER_EMAIL_ADDRESS";
	public static final String COMPONENT_MAINTENANCE_USER_EMAIL_ACCOUNT_NAME = "COMPONENT_MAINTENANCE_USER_EMAIL_ACCOUNT_NAME";
	public static final String COMPONENT_MAINTENANCE_USER_EMAIL_ACCOUNT_PASSWORD = "COMPONENT_MAINTENANCE_USER_EMAIL_ACCOUNT_PASSWORD";
	public static final String COMPONENT_MAINTENANCE_USER_ROLE_LIST_BOX = "COMPONENT_MAINTENANCE_USER_ROLE_LIST_BOX";
	public static final String COMPONENT_LOYALTY_SCHEME_DROPDOWN ="COMPONENT_LOYALTY_SCHEME_DROPDOWN";
	public static final String COMPONENT_LOYALTY_TIER_DROPDOWN ="COMPONENT_LOYALTY_TIER_DROPDOWN";
	public static final String COMPONENT_LOYALTY_SCHEME_CUSTOMER_CAPTURE_EMAIL_TEXT = "COMPONENT_LOYALTY_SCHEME_CUSTOMER_CAPTURE_EMAIL_TEXT";
	
	
	/***
	 * TIME AND ATTENDENCE MENU CONTROL CONSTANTS
	 ***/
	public static final String COMPONENT_TIME_AND_ATTENDANCE_MENU_BACK_BUTTON = "COMPONENT_TIME_AND_ATTENDANCE_MENU_BACK_BUTTON";
	public static final String COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_IN_BUTTON = "COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_IN_BUTTON";
	public static final String COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_OUT_BUTTON = "COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_OUT_BUTTON";
	
	public static final String COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_IN_BUTTON_IMAGE = "COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_IN_BUTTON_IMAGE";
	public static final String COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_OUT_BUTTON_IMAGE = "COMPONENT_TIME_AND_ATTENDANCE_MENU_CLOCK_OUT_BUTTON_IMAGE";
	
	/**********************
	 *  GIFT CARD CONSTANTS
	 **********************/
	public static final String COMPONENT_GIFT_CARD_NUMBER = "COMPONENT_GIFT_CARD_NUMBER";
	public static final String COMPONENT_GIFT_CARD_STATUS = "COMPONENT_GIFT_CARD_STATUS";
	public static final String COMPONENT_GIFT_CARD_BALANCE = "COMPONENT_GIFT_CARD_BALANCE";
	

	/******************************************
	 * WINDOW CONSTANTS
	 ******************************************/	
	public static final String WINDOW_PRIMARY_PRINTER = "WINDOW_PRIMARY_PRINTER";
	public static final String WINDOW_PRINTER_SELECT_SCREEN = "WINDOW_PRINTER_SELECT_SCREEN";	
	public static final String WINDOW_ENTER_USER = "WINDOW_ENTER_USER";
	public static final String WINDOW_FIRST_LAUNCH_SCREEN="WINDOW_FIRST_LAUNCH_SCREEN";
	public static final String WINDOW_ENTER_USER_WITH_KEYBOARD = "WINDOW_ENTER_USER_WITH_KEYBOARD";
	public static final String WINDOW_ENTER_USER_INVALID_ERROR = "WINDOW_ENTER_USER_INVALID_ERROR";
	public static final String WINDOW_ENTER_USER_INVALID_ERROR_2 = "WINDOW_ENTER_USER_INVALID_ERROR_2";
	public static final String WINDOW_ENTER_USER_REQUIRED_ERROR = "WINDOW_ENTER_USER_REQUIRED_ERROR";
	public static final String WINDOW_INVALID_REFERENCE_ERROR = "WINDOW_INVALID_REFERENCE_ERROR";
	public static final String WINDOW_CONFIRM_CLOCK_IN_TIME_MESSAGE = "WINDOW_CONFIRM_CLOCK_IN_TIME_MESSAGE";
	public static final String WINDOW_CLOCK_IN_SUCCESS_MESSAGE = "WINDOW_CLOCK_IN_SUCCESS_MESSAGE";
	public static final String WINDOW_CONFIRM_CLOCK_OUT_TIME_MESSAGE = "WINDOW_CONFIRM_CLOCK_OUT_TIME_MESSAGE";
	public static final String WINDOW_CLOCK_OUT_SUCCESS_MESSAGE = "WINDOW_CLOCK_OUT_SUCCESS_MESSAGE";
	public static final String WINDOW_EMAIL_ADDRESS_NOT_AVAILABLE_ERROR = "WINDOW_EMAIL_ADDRESS_NOT_AVAILABLE_ERROR";
	public static final String WINDOW_CRM_EMAIL_ADDRESS_ALREADY_USED_ERROR = "WINDOW_CRM_EMAIL_ADDRESS_ALREADY_USED_ERROR";
	public static final String WINDOW_POS_EMAIL_ADDRESS_ALREADY_USED_ERROR = "WINDOW_POS_EMAIL_ADDRESS_ALREADY_USED_ERROR";
	public static final String WINDOW_SERVICE_OFFLINE_ERROR_MESSAGE_FOR_POSTCODE = "WINDOW_SERVICE_OFFLINE_ERROR_MESSAGE_FOR_POSTCODE";
	public static final String WINDOW_CASH_MANAGEMENT_NO_TENDER_VALUE_ERROR = "WINDOW_CASH_MANAGEMENT_NO_TENDER_VALUE_ERROR";
	public static final String WINDOW_INVALID_SALESPERSON_ERROR = "WINDOW_INVALID_SALESPERSON_ERROR";
	public static final String WINDOW_LAUNCH_SCREEN = "WINDOW_LAUNCH_SCREEN";

	public static final String WINDOW_TRANSACTION_BASKET = "WINDOW_TRANSACTION_BASKET";
	public static final String WINDOW_SCAN_SCREEN = "WINDOW_SCAN_SCREEN";
	public static final String WINDOW_CONFIRM_UNKNOWN_PRODUCT_SALE = "WINDOW_CONFIRM_UNKNOWN_PRODUCT_SALE";
	public static final String WINDOW_SELECT_REASON = "WINDOW_SELECT_REASON";
	public static final String WINDOW_SELECT_MMG_GROUP = "WINDOW_SELECT_MMG_GROUP";
	public static final String WINDOW_ENTER_ITEM_PRICE = "WINDOW_ENTER_ITEM_PRICE";
	public static final String WINDOW_ENTER_ITEM_STATE = "WINDOW_ENTER_ITEM_STATE";
	public static final String WINDOW_ENTER_MMG_ITEM_COMMENT = "WINDOW_ENTER_MMG_ITEM_COMMENT";
	public static final String WINDOW_ENTER_CASH_TENDER_AMOUNT = "WINDOW_ENTER_CASH_TENDER_AMOUNT";	
	public static final String WINDOW_END_TRANSACTION_CONTINUE = "WINDOW_END_TRANSACTION_CONTINUE";
	public static final String WINDOW_AWAIT_DRAWER_CLOSED = "WINDOW_AWAIT_DRAWER_CLOSED";
	public static final String WINDOW_ENTER_ITEM = "WINDOW_ENTER_ITEM";
	public static final String WINDOW_SELECT_BASKET_ITEM = "WINDOW_SELECT_BASKET_ITEM";
	public static final String WINDOW_MODIFY_ITEM = "WINDOW_MODIFY_ITEM";
	public static final String WINDOW_DISCOUNT_SCREEN = "WINDOW_DISCOUNT_SCREEN";
	public static final String WINDOW_ENTER_DISCOUNT_SCREEN= "WINDOW_ENTER_DISCOUNT_SCREEN";
	public static final String WINDOW_ENTER_ITEM_DISCOUNT_AMOUNT = "WINDOW_ENTER_ITEM_DISCOUNT_AMOUNT";
	public static final String WINDOW_ENTER_ITEM_DISCOUNT_PERCENTAGE = "WINDOW_ENTER_ITEM_DISCOUNT_PERCENTAGE";
	public static final String WINDOW_ENTER_TRANSACTION_DISCOUNT_AMOUNT = "WINDOW_ENTER_TRANSACTION_DISCOUNT_AMOUNT";
	public static final String WINDOW_ENTER_PRICE_OVERRIDE_AMOUNT = "WINDOW_ENTER_PRICE_OVERRIDE_AMOUNT";
	public static final String WINDOW_PRICE_OVERRIDE_TOO_HIGH_ERROR = "WINDOW_PRICE_OVERRIDE_TOO_HIGH_ERROR";
	public static final String WINDOW_PRICE_OVERRIDE_TOO_LOW_ERROR = "WINDOW_PRICE_OVERRIDE_TOO_LOW_ERROR";
	public static final String WINDOW_ENTER_QTY = "WINDOW_ENTER_QTY";
	public static final String WINDOW_QTY_SALE_NOT_ALLOWED_ERROR = "WINDOW_QTY_SALE_NOT_ALLOWED_ERROR";
	public static final String WINDOW_INVALID_QTY_ERROR = "WINDOW_INVALID_QTY_ERROR";
	public static final String WINDOW_RETURN_PRODUCT = "WINDOW_RETURN_PRODUCT";
	public static final String WINDOW_ENTER_SALES_PERSON = "WINDOW_ENTER_SALES_PERSON";
	public static final String WINDOW_REFUND_ITEM="WINDOW_REFUND_ITEM";
	public static final String WINDOW_ENTER_AUTHORISING_USER = "WINDOW_ENTER_AUTHORISING_USER";
	public static final String WINDOW_ENTER_AUTHORISING_PIN = "WINDOW_ENTER_AUTHORISING_PIN";
	public static final String WINDOW_TERMINAL_CASH_MANAGEMENT = "WINDOW_TERMINAL_CASH_MANAGEMENT";
	public static final String WINDOW_CASH_MANAGEMENT_SESSION_SUMMARY_PROMPT = "WINDOW_CASH_MANAGEMENT_SESSION_SUMMARY_PROMPT";
	public static final String WINDOW_DRAWER_LIMIT_EXCEEDED_SCREEN = "WINDOW_DRAWER_LIMIT_EXCEEDED_SCREEN";
	public static final String WINDOW_UNCOUNTED_PICKUP = "WINDOW_UNCOUNTED_PICKUP";
	
	public static final String WINDOW_ENTER_TENDER_AMOUNT = "WINDOW_ENTER_TENDER_AMOUNT";
	public static final String WINDOW_SIGNED_ON = "WINDOW_SIGNED_ON";
	public static final String WINDOW_SELECT_TENDER = "WINDOW_SELECT_TENDER";
	public static final String WINDOW_MODIFY_TENDER="WINDOW_MODIFY_TENDER";
	public static final String WINDOW_CASH_DRAWER = "WINDOW_CASH_DRAWER";
	public static final String WINDOW_CRM_ADDRESS_BOOK = "WINDOW_CRM_ADDRESS_BOOK";
	public static final String WINDOW_CRM_DAILY_OVERIEW = "WINDOW_CRM_DAILY_OVERIEW";
	public static final String WINDOW_CRM_DIARY_DAY_VIEW = "WINDOW_CRM_DIARY_DAY_VIEW";
	public static final String WINDOW_CRM_DIARY_MONTH_VIEW = "WINDOW_CRM_DIARY_MONTH_VIEW";
	public static final String WINDOW_CRM_EMAIL_OVERVIEW = "WINDOW_CRM_EMAIL_OVERVIEW";
	public static final String WINDOW_CRM_EMAIL_DRAFTS = "WINDOW_CRM_EMAIL_DRAFTS";
	public static final String WINDOW_CRM_CLIENT_SEARCH = "WINDOW_CRM_CLIENT_SEARCH";
	public static final String WINDOW_CRM_MANAGER_OVERVIEW = "WINDOW_CRM_MANAGER_OVERVIEW";
	public static final String WINDOW_CRM_MANAGER_OVERVIEW_AFFILIATIONS = "WINDOW_CRM_MANAGER_OVERVIEW_AFFILIATIONS";
	public static final String WINDOW_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE = "WINDOW_CRM_MANAGER_OVERVIEW_RECORD_ABSENCE";	
	public static final String WINDOW_CRM_MESSAGES = "WINDOW_CRM_MESSAGES";	
	public static final String WINDOW_CRM_MESSAGES_DELETE_MESSAGE_CONFIRM_POPUP = "WINDOW_CRM_MESSAGES_DELETE_MESSAGE_CONFIRM_POPUP";
	public static final String WINDOW_CRM_JOBS = "WINDOW_CRM_JOBS";
	public static final String WINDOW_CRM_JOBS_LIST_BUSINESS_PROCESSES = "WINDOW_CRM_JOBS_LIST_BUSINESS_PROCESSES";
	public static final String WINDOW_CRM_JOBS_INITIATE_AFFILIATION_REQUEST = "WINDOW_CRM_JOBS_INITIATE_AFFILIATION_REQUEST";
	public static final String WINDOW_CRM_JOBS_AFFILIATION_REQUEST_CONFIRM_POPUP = "WINDOW_CRM_JOBS_AFFILIATION_REQUEST_CONFIRM_POPUP";

	public static final String WINDOW_MARK_GIFT_RECEIPT_ITEM = "WINDOW_MARK_GIFT_RECEIPT_ITEM";

	public static final String WINDOW_SELECT_PRODUCT = "WINDOW_SELECT_PRODUCT";
	public static final String WINDOW_PRODUCT_FILTERS = "WINDOW_PRODUCT_FILTERS";
	public static final String WINDOW_DISPLAY_PRODUCT_DETAILS = "WINDOW_DISPLAY_PRODUCT_DETAILS";
	
	public static final String WINDOW_CAPTURE_CUSTOMER_NAME = "WINDOW_CAPTURE_CUSTOMER_NAME";
	public static final String WINDOW_CAPTURE_CUSTOMER_ADDRESS = "WINDOW_CAPTURE_CUSTOMER_ADDRESS";
	public static final String WINDOW_CAPTURE_CUSTOMER_PHONE_EMAIL = "WINDOW_CAPTURE_CUSTOMER_PHONE_EMAIL";
	
	public static final String WINDOW_ENTER_RETURN_ITEM = "WINDOW_ENTER_RETURN_ITEM";
	
	public static final String WINDOW_ENTER_ORIGINAL_TRANSACTION_ID = "WINDOW_ENTER_ORIGINAL_TRANSACTION_ID";
	public static final String WINDOW_ENTER_ORIGINAL_TRANSACTION_DETAILS = "WINDOW_ENTER_ORIGINAL_TRANSACTION_DETAILS";
	public static final String WINDOW_SELECT_TRANSACTION_DETAILS = "WINDOW_SELECT_TRANSACTION_DETAILS";
	public static final String WINDOW_CONFIRM_PRINT_TRANSACTION = "WINDOW_CONFIRM_PRINT_TRANSACTION";
	public static final String WINDOW_GIFT_RECEIPT_TOTAL="WINDOW_GIFT_RECEIPT_TOTAL";
	public static final String WINDOW_REQUEST_GIFT_RECEIPT_TOTAL="WINDOW_REQUEST_GIFT_RECEIPT_TOTAL";
	public static final String WINDOW_CRM_MENU_SCREEN = "WINDOW_CRM_MENU_SCREEN";
	public static final String WINDOW_CRM_SELECT_CUSTOMERS_SCREEN = "WINDOW_CRM_SELECT_CUSTOMERS_SCREEN";
	public static final String WINDOW_CRM_CAPTURE_CUSTOMER_DETAILS = "WINDOW_CRM_CAPTURE_CUSTOMER_DETAILS";
	public static final String WINDOW_CRM_CAPTURE_CUSTOMER_DETAILS_HIDE_KEYBOARD = "WINDOW_CRM_CAPTURE_CUSTOMER_DETAILS_HIDE_KEYBOARD";
	public static final String WINDOW_CRM_POSTCODE_ADDRESS_SELECTION = "WINDOW_CRM_POSTCODE_ADDRESS_SELECTION";
	public static final String WINDOW_CRM_ADDRESS_NOT_SELECTED_MESSAGE = "WINDOW_CRM_ADDRESS_NOT_SELECTED_MESSAGE";
	public static final String WINDOW_CRM_CLIENT_DETAILS = "WINDOW_CRM_CLIENT_DETAILS";
	public static final String WINDOW_CRM_CALL_CLIENT = "WINDOW_CRM_CALL_CLIENT";
	public static final String WINDOW_CRM_CONTACT_HISTORY = "WINDOW_CRM_CONTACT_HISTORY";
	public static final String WINDOW_CRM_EMAIL_CLIENT = "WINDOW_CRM_EMAIL_CLIENT";
	public static final String WINDOW_CRM_EMAIL_CLIENT_LOSE_CHANGES_ERROR = "WINDOW_CRM_EMAIL_CLIENT_LOSE_CHANGES_ERROR";
	public static final String WINDOW_CRM_EMAIL_CLIENT_EMPTY_MESSAGE_ERROR = "WINDOW_CRM_EMAIL_CLIENT_EMPTY_MESSAGE_ERROR";	
	public static final String WINDOW_CRM_PREFERENCES = "WINDOW_CRM_PREFERENCES";
	public static final String WINDOW_CRM_PREFERENCES_EDIT_KEY_DATE = "WINDOW_CRM_PREFERENCES_EDIT_KEY_DATE";
	public static final String WINDOW_CRM_PREFERENCES_EDIT_NOTE = "WINDOW_CRM_PREFERENCES_EDIT_NOTE";
	public static final String WINDOW_CRM_PREFERENCES_EDIT_PREFERENCE = "WINDOW_CRM_PREFERENCES_EDIT_PREFERENCE";
	public static final String WINDOW_CRM_PREFERENCES_SELECT_PREFERENCE_OPTION = "WINDOW_CRM_PREFERENCES_SELECT_PREFERENCE_OPTION";
	public static final String WINDOW_CRM_TRANSACTION_HISTORY = "WINDOW_CRM_TRANSACTION_HISTORY";
	public static final String WINDOW_CRM_TRANSACTION_HISTORY_STORED_TRANSACTION = "WINDOW_CRM_TRANSACTION_HISTORY_STORED_TRANSACTION";
	
	public static final String WINDOW_CRM_CONTACT_DETAILS = "WINDOW_CRM_CONTACT_DETAILS";
	public static final String WINDOW_CRM_EDIT_CUSTOMER_EMAIL = "WINDOW_CRM_EDIT_CUSTOMER_EMAIL";
	
	
	
	public static final String WINDOW_TIME_AND_ATTENDANCE = "WINDOW_TIME_AND_ATTENDANCE";
	
	public static final String WINDOW_RECALL_TRANSACTION_BY_TRANSACTION_ID = "WINDOW_RECALL_TRANSACTION_BY_TRANSACTION_ID";
	public static final String WINDOW_SELECT_STORED_TRANSACTION = "WINDOW_SELECT_STORED_TRANSACTION";
	
	public static final String WINDOW_LOYALTY_ACCOUNT_ENQUIRY = "WINDOW_LOYALTY_ACCOUNT_ENQUIRY";
	public static final String WINDOW_INVALIDLOYALTYCARD_NUMBER_MESSAGE = "WINDOW_INVALIDLOYALTYCARD_NUMBER_MESSAGE";
	public static final String WINDOW_LOYALTY_CUSTOMER_SEARCH_BYPOSTCODE = "WINDOW_LOYALTY_CUSTOMER_SEARCH_BYPOSTCODE";
	public static final String WINDOW_NO_NAME_FOUND_CUSTOMER_SEARCH_BYPOSTCODE_MESSAGE = "WINDOW_NO_NAME_FOUND_CUSTOMER_SEARCH_BYPOSTCODE_MESSAGE";
	public static final String WINDOW_LOYALTY_CUSTOMER_SEARCH_BY_NAME = "WINDOW_LOYALTY_CUSTOMER_SEARCH_BY_NAME";
	public static final String WINDOW_NO_NAME_FOUND_CUSTOMER_SEARCH_BY_NAME_MESSAGE = "WINDOW_NO_NAME_FOUND_CUSTOMER_SEARCH_BY_NAME_MESSAGE";
	public static final String WINDOW_LOYALTY_SELECT_CUSTOMER_SEARCH_BY_POSTCODE = "WINDOW_LOYALTY_SELECT_CUSTOMER_SEARCH_BY_POSTCODE";
	public static final String WINDOW_LOYALTY_ACCOUNT_DETAILS = "WINDOW_LOYALTY_ACCOUNT_DETAILS";
	public static final String WINDOW_LOYALTY_SELECT_CUSTOMER_SEARCH_BY_NAME = "WINDOW_LOYALTY_SELECT_CUSTOMER_SEARCH_BY_NAME";
	public static final String WINDOW_LOYALTY_SCHEME_PROMPT = "WINDOW_LOYALTY_SCHEME_PROMPT";
	public static final String WINDOW_ADMINISTRATION_SCREEN = "WINDOW_ADMINISTRATION_SCREEN";
	public static final String WINDOW_SELECT_USER_SCREEN = "WINDOW_SELECT_USER_SCREEN";
	public static final String WINDOW_SELECT_PROMOTION_SCREEN = "WINDOW_SELECT_PROMOTION_SCREEN";
	public static final String WINDOW_PROMOTION_DETAILS_SCREEN = "WINDOW_PROMOTION_DETAILS_SCREEN";
	public static final String WINDOW_NEW_USER_SCREEN = "WINDOW_NEW_USER_SCREEN";
	public static final String WINDOW_EDIT_USER_SCREEN = "WINDOW_EDIT_USER_SCREEN";
	public static final String WINDOW_ENTER_NEW_PASSWORD_SCREEN = "WINDOW_ENTER_NEW_PASSWORD_SCREEN";
	public static final String WINDOW_INVALID_PASSWORD_SCREEN = "WINDOW_INVALID_PASSWORD_SCREEN";
	public static final String WINDOW_INVALID_PASSWORD_MISMATCH_SCREEN = "WINDOW_INVALID_PASSWORD_MISMATCH_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_CRITERIA_SCREEN = "WINDOW_USER_MAINTENANCE_CRITERIA_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_EDIT_ADDRESS_SCREEN = "WINDOW_USER_MAINTENANCE_EDIT_ADDRESS_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_EDIT_USER_ROLES_SCREEN = "WINDOW_USER_MAINTENANCE_EDIT_USER_ROLES_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_EDIT_USER_SECURITY_SCREEN = "WINDOW_USER_MAINTENANCE_EDIT_USER_SECURITY_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_EDIT_USER_ACCESS_TIMES_SCREEN = "WINDOW_USER_MAINTENANCE_EDIT_USER_ACCESS_TIMES_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_EDIT_EMAIL_SCREEN = "WINDOW_USER_MAINTENANCE_EDIT_EMAIL_SCREEN";
	public static final String WINDOW_USER_ALREADY_EXIST_SCREEN = "WINDOW_USER_ALREADY_EXIST_SCREEN";
	public static final String WINDOW_USER_MAINTENANCE_REMOVE_USER_CONFIRM_SCREEN = "WINDOW_USER_MAINTENANCE_REMOVE_USER_CONFIRM_SCREEN";
	
	public static final String WINDOW_CONCESSION_PRODUCT_LIST_SCREEN = "WINDOW_CONCESSION_PRODUCT_LIST_SCREEN";
	
	public static final String WINDOW_REPRINT_RECENT_SELECT_TRANSACTION = "WINDOW_REPRINT_RECENT_SELECT_TRANSACTION";
	
	public static final String WINDOW_CASH_MANAGEMENT_SELECT_FLOAT_REASON = "WINDOW_CASH_MANAGEMENT_SELECT_FLOAT_REASON";
	public static final String WINDOW_CASH_MANAGEMENT_SELECT_TENDER_REASON = "WINDOW_CASH_MANAGEMENT_SELECT_TENDER_REASON";
	public static final String WINDOW_CASH_MANAGEMENT_EDIT_DENOMINATION_BY_VALUE = "WINDOW_CASH_MANAGEMENT_EDIT_DENOMINATION_BY_VALUE";
	public static final String WINDOW_CASH_MANAGEMENT_CONFIRM_TENDER = "WINDOW_CASH_MANAGEMENT_CONFIRM_TENDER";
	

	public static final String WINDOW_SCANNER="WINDOW_SCANNER";
	public static final String WINDOW_ENTER_USER_DISABLED_ERROR = "WINDOW_ENTER_USER_DISABLED_ERROR";
	public static final String WINDOW_ENTER_USER_AFTER_SCAN = "WINDOW_ENTER_USER_AFTER_SCAN";
	public static final String WINDOW_CONFIRM_DAY_END = "WINDOW_CONFIRM_DAY_END";
	public static final String WINDOW_CASH_MANAGEMENT_SELECT_CASHUP_REASON = "WINDOW_CASH_MANAGEMENT_SELECT_CASHUP_REASON";
	public static final String WINDOW_CASH_MANAGEMENT_CASHUP_TENDER= "WINDOW_CASH_MANAGEMENT_CASHUP_TENDER";
	public static final String WINDOW_CONFIRM_DAY_END_MESSAGE = "WINDOW_CONFIRM_DAY_END_MESSAGE";
	public static final String WINDOW_ICCREADER="WINDOW_ICCREADER";
	public static final String WINDOW_CARD_PAYMENT="WINDOW_CARD_PAYMENT";
	public static final String WINDOW_CARD_TENDER_AMOUNT="WINDOW_CARD_TENDER_AMOUNT";
	public static final String WINDOW_REMOVE_CARD_PROMPT="WINDOW_REMOVE_CARD_PROMPT";
	public static final String WINDOW_INSERT_SWIPE_CARD="WINDOW_INSERT_SWIPE_CARD";
	public static final String WINDOW_CARD_EXPIRY_CARD="WINDOW_CARD_EXPIRY_CARD";
	public static final String WINDOW_PROCESSING_CARD = "WINDOW_PROCESSING_CARD";
	public static final String WINDOW_INVALID_CARD = "WINDOW_INVALID_CARD";
	public static final String WINDOW_SIGNATURE_VERIFICATION="WINDOW_SIGNATURE_VERIFICATION";
	public static final String WINDOW_TRANSACTION_SIGNATURE_VERIFICATION="WINDOW_TRANSACTION_SIGNATURE_VERIFICATION";
	public static final String WINDOW_RECEIPT_SCREEN = "WINDOW_RECEIPT_SCREEN";
	public static final String WINDOW_RECEIPT_PRINTED = "WINDOW_RECEIPT_PRINTED";
	public static final String WINDOW_RETRY_RECEIPT_PRINT = "WINDOW_RETRY_RECEIPT_PRINT";
	public static final String WINDOW_EMAIL_ADDRESS_SCREEN = "WINDOW_EMAIL_ADDRESS_SCREEN";
	public static final String WINDOW_RECEIPT_EMAILED = "WINDOW_RECEIPT_EMAILED";
	public static final String WINDOW_INVALID_EMAIL_ERROR = "WINDOW_INVALID_EMAIL_ERROR";
	
	public static final String WINDOW_RICH_RODUCT_SEARCH = "WINDOW_RICH_RODUCT_SEARCH";
	public static final String WINDOW_RICH_RODUCT_SEARCH_RESULT= "WINDOW_RICH_RODUCT_SEARCH_RESULT";
	public static final String WINDOW_RICH_RODUCT_DETAILS = "WINDOW_RICH_RODUCT_DETAILS";
	
	public static final String WINDOW_SELECT_VOUCHER_TYPE = "WINDOW_SELECT_VOUCHER_TYPE";
	public static final String WINDOW_SELECT_VOUCHER_SUB_TYPE = "WINDOW_SELECT_VOUCHER_SUB_TYPE";
	
	public static final String WINDOW_ENTER_EMPLOYEE = "WINDOW_ENTER_EMPLOYEE";
	public static final String WINDOW_CONFIRM_EMPLOYEE = "WINDOW_CONFIRM_EMPLOYEE";
	public static final String WINDOW_EMP_TRANSACTION_SIGNATURE_VERIFICATION = "WINDOW_EMP_TRANSACTION_SIGNATURE_VERIFICATION";
	public static final String WINDOW_RETURN_SLIP_MESSAGE = "WINDOW_RETURN_SLIP_MESSAGE";
	
	public static final String WINDOW_GET_GIFT_CARD_NUMBER = "WINDOW_GET_GIFT_CARD_NUMBER";
	public static final String WINDOW_SELECT_GIFT_CARD_TYPE = "WINDOW_SELECT_GIFT_CARD_TYPE";
	public static final String WINDOW_ISSUE_GIFT_CARD_MAIN = "WINDOW_ISSUE_GIFT_CARD_MAIN";
	public static final String WINDOW_GIFT_CARD_ENQUIRY_DETAILS = "WINDOW_GIFT_CARD_ENQUIRY_DETAILS";
	public static final String WINDOW_GIFT_CARD_SEARCH = "WINDOW_GIFT_CARD_SEARCH";
	public static final String WINDOW_SELECT_GIFT_CARD = "WINDOW_SELECT_GIFT_CARD";
	public static final String WINDOW_GIFT_CARD_HISTORY_LIST = "WINDOW_GIFT_CARD_HISTORY_LIST";
	public static final String WINDOW_GIFT_CARD_CONFIRM_TRANSFER_BALANCE = "WINDOW_GIFT_CARD_CONFIRM_TRANSFER_BALANCE";
	public static final String WINDOW_GIFT_CARD_CONFIRM_CANCEL = "WINDOW_GIFT_CARD_CONFIRM_CANCEL";
	public static final String WINDOW_INVALID_CARD_NUMBER = "WINDOW_INVALID_CARD_NUMBER";
	public static final String WINDOW_NO_ACCOUNT_MESSAGE = "WINDOW_NO_ACCOUNT_MESSAGE";
	public static final String WINDOW_GIFT_ACCOUNT_NOT_ACTIVE_MESSAGE = "WINDOW_GIFT_ACCOUNT_NOT_ACTIVE_MESSAGE";
	
	public static final String WINDOW_EXTENDED_RETURN_DETAILS = "WINDOW_EXTENDED_RETURN_DETAILS";
	public static final String WINDOW_SELECT_RETURN_TENDER = "WINDOW_SELECT_RETURN_TENDER";
	
	public static final String WINDOW_DISPLAY_REPORTS_SELECT = "WINDOW_DISPLAY_REPORTS_SELECT";
	public static final String WINDOW_PRINT_REPORTS_SELECT = "WINDOW_PRINT_REPORTS_SELECT";
	public static final String WINDOW_SELECT_DATE_TYPE_FORM = "WINDOW_SELECT_DATE_TYPE_FORM";
	public static final String WINDOW_SELECT_SINGLE_DATE_FORM ="WINDOW_SELECT_SINGLE_DATE_FORM";
	public static final String WINDOW_DISPLAY_DOCUMENT = "WINDOW_DISPLAY_DOCUMENT";
	public static final String WINDOW_SELECT_DATE_RANGE_FORM = "WINDOW_SELECT_DATE_RANGE_FORM";
	public static final String WINDOW_SELECT_YEAR_FOR_MONTH = "WINDOW_SELECT_YEAR_FOR_MONTH";
	public static final String WINDOW_SELECT_MONTH = "WINDOW_SELECT_MONTH";
	public static final String WINDOW_SELECT_YEAR_FOR_PERIOD = "WINDOW_SELECT_YEAR_FOR_PERIOD";
	public static final String WINDOW_SELECT_PERIOD = "WINDOW_SELECT_PERIOD";
	public static final String WINDOW_STORE_BY_USER_ALREADY_EXISTS = "WINDOW_STORE_BY_USER_ALREADY_EXISTS";
	public static final String WINDOW_SELECT_TRANSACTION_TO_RECALL = "WINDOW_SELECT_TRANSACTION_TO_RECALL";
	public static final String WINDOW_TAX_PRINTED_MESSAGE = "WINDOW_TAX_PRINTED_MESSAGE";
	public static final String WINDOW_SELECT_RECEIPT_DESTINATION = "WINDOW_SELECT_RECEIPT_DESTINATION";	
	public static final String WINDOW_SELECT_REDEEM_VOUCHER = "WINDOW_SELECT_REDEEM_VOUCHER";
	public static final String WINDOW_SELECT_REDEEM_VOUCHER_TYPE = "WINDOW_SELECT_REDEEM_VOUCHER_TYPE";
	public static final String WINDOW_SELECT_REDEEM_VOUCHER_SUB_TYPE="WINDOW_SELECT_REDEEM_VOUCHER_SUB_TYPE";
	public static final String WINDOW_ENTER_VOUCHER_SERIAL_NUMBER="WINDOW_ENTER_VOUCHER_SERIAL_NUMBER";
	
	public static final String WINDOW_CAPTURE_CUSTOMER_NAME_CONTACT="WINDOW_CAPTURE_CUSTOMER_NAME_CONTACT";
	public static final String WINDOW_CAPTURE_CUSTOMER_ADDRESS_PROMPT="WINDOW_CAPTURE_CUSTOMER_ADDRESS_PROMPT";	
	public static final String WINDOW_GET_DELIVERY_NOTIFICATIONS="WINDOW_GET_DELIVERY_NOTIFICATIONS";
	public static final String WINDOW_GET_DELIVERY_INSTRUCTIONS="WINDOW_GET_DELIVERY_INSTRUCTIONS";
	public static final String WINDOW_TENDER_PRE_AUTH_PROMPT="WINDOW_TENDER_PRE_AUTH_PROMPT";
	public static final String WINDOW_ORDER_DELIVERY_OPTION_PANEL="WINDOW_ORDER_DELIVERY_OPTION_PANEL";
	
	
	public static final String WINDOW_GET_ONLINE_AUTHORISATION = "WINDOW_GET_ONLINE_AUTHORISATION";
	/******************************************
	 * WINDOW NAMES
	 ******************************************/
	public static final String TRANSACTION_BASKET_WINDOW_NAME = "Transaction Basket";
	public static final String ADMINISTRATION_SCREEN_WINDOW_NAME = "Administration Screen";
	public static final String WINDOW_REPORT_DOCUMENT_NAME = "Display Document";
	public static final String WEB_REPORT_WINDOW_NAME="View Web Report";
	
	/******************************************
	 * PROPERTY CONSTANTS
	 ******************************************/
	public static final String PROPERTY_BASKET_BALANCE = "PROPERTY_BASKET_BALANCE";
	public static final String PROPERTY_MMG_GROUP = "PROPERTY_MMG_GROUP";
	public static final String PROPERTY_MMG_REASON = "PROPERTY_MMG_REASON";
	public static final String PROPERTY_PRODUCT_DESCRIPTION = "PROPERTY_PRODUCT_DESCRIPTION";
	public static final String PROPERTY_PRODUCT_PRICE = "PROPERTY_PRODUCT_PRICE";
	public static final String PROPERTY_PRODUCT_TOTAL = "PROPERTY_PRODUCT_TOTAL";
	public static final String PROPERTY_PRODUCT_DISCOUNT = "PROPERTY_PRODUCT_DISCOUNT";
	public static final String PROPERTY_OVERRIDE_PRICE = "PROPERTY_OVERRIDE_PRICE";
	public static final String PROPERTY_MMG_GROUP_FILTER_DISCRIPTION = "PROPERTY_MMG_GROUP_FILTER_DISCRIPTION";
	public static final String PROPERTY_RECEIPT_DESCRIPTION = "PROPERTY_RECEIPT_DESCRIPTION";
	public static final String PROPERTY_LOCATION_FILTER_DISCRIPTION = "PROPERTY_LOCATION_FILTER_DISCRIPTION";
	public static final String PROPERTY_PRINTER_DESCRIPTION ="PROPERTY_PRINTER_DESCRIPTION";
	
	/******************************************
	 * WAIT CONSTANTS
	 ******************************************/
	public static final String WAIT_SCREEN_UPDATE = "WAIT_SCREEN_UPDATE";
	public static final String WAIT_STARTUP = "WAIT_STARTUP";
	public static final String LONG_WAIT = "LONG_WAIT";
	public static final String WAIT_DIALOG_PANEL_UPDATE = "WAIT_DIALOG_PANEL_UPDATE";
	
	public static final String TRANSACTION_BASKET_ADDITIONAL_ROWS="TRANSACTION_BASKET_ADDITIONAL_ROWS";
	public static final String HEADER_LIST_ADDITIONAL_ROWS="HEADER_LIST_ADDITIONAL_ROWS";

	/******************************************
	 * CLASS NAMES
	 ******************************************/

	public static final String OPERATOR_VIEW_ACCESSOR = "OPERATOR_VIEW_ACCESSOR";
	
	/***
	 * CUSTOMER ORDER CONSTANTS
	 ***/
	
	
	public static final String COMPONENT_DELIVERY_OPTION_BUTTON_3="COMPONENT_DELIVERY_OPTION_BUTTON_3";
	public static final String COMPONENT_DELIVERY_OPTION_BUTTON_2="COMPONENT_DELIVERY_OPTION_BUTTON_2";
	public static final String COMPONENT_CUSTOMER_ORDER_EMAIL_INPUT="COMPONENT_CUSTOMER_ORDER_EMAIL_INPUT";
	public static final String COMPONENT_CUSTOMER_ORDER_TEXT_NUMBER="COMPONENT_CUSTOMER_ORDER_TEXT_NUMBER";
		
}
