package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the Order entity interface here
 */
public interface IOrder extends IEntity {

	
	/**
	 * Set the MerchantTransId
	 *
	 * @param merchantTransId
	 * @throws PropertyValidationException
	 */
	public void setMerchantTransId(String merchantTransId) throws PropertyValidationException;
	
	/**
	 * Get the MerchantTransId
	 *
	 * @return merchantTransId
	 */
	public String getMerchantTransId();
	
	
	/**
	 * Set the OrderAmount
	 *
	 * @param orderAmount
	 * @throws PropertyValidationException
	 */
	public void setOrderAmount(com.enactor.training.paymentService.service.messages.gcash.CurrencyAmount orderAmount) throws PropertyValidationException;
	
	/**
	 * Get the OrderAmount
	 *
	 * @return orderAmount
	 */
	public com.enactor.training.paymentService.service.messages.gcash.CurrencyAmount getOrderAmount();
	
	
	/**
	 * Set the OrderTitle
	 *
	 * @param orderTitle
	 * @throws PropertyValidationException
	 */
	public void setOrderTitle(String orderTitle) throws PropertyValidationException;
	
	/**
	 * Get the OrderTitle
	 *
	 * @return orderTitle
	 */
	public String getOrderTitle();
	
	
}
