package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.IXMLSerializable;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;

import javax.xml.bind.annotation.XmlElement;

import javax.xml.bind.annotation.XmlRootElement;

import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.entities.IEntityKey;
import com.enactor.training.paymentService.service.messages.gcash.MessageContent;

/**
 * Add comments for the RequestMessage entity interface here
 *
 * Last Generated at: 14-05-2024 05:29:57
 * @author savvakontou
 */
public interface IRequestMessage extends IEntity {

	
	/**
	 * Set the Request
	 *
	 * @param request
	 */
	public void setRequest(MessageContent request);
	
	/**
	 * Get the Request
	 *
	 * @return request
	 */
	public MessageContent getRequest();
	
	
	/**
	 * Set the Signature
	 *
	 * @param signature
	 */
	public void setSignature(String signature);
	
	/**
	 * Get the Signature
	 *
	 * @return signature
	 */
	public String getSignature();
	
	
}
