package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the ResponseMessage entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResponseMessage", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"response",
	"signature"
})

@XmlRootElement(name = ResponseMessage.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class ResponseMessage implements IResponseMessage {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(ResponseMessage.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "responseMessage";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.ResponseMessage";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IResponseMessage.class.getName());	
		
	/** The Response field */
	@XmlElement(type=MessageContent.class)
	private MessageContent response = new MessageContent();
	
	/** The Signature field */
	private String signature = null;

	/**************************************************************************
	 * ResponseMessage Interface
	 **************************************************************************/
	
	@Override
	public void setResponse(MessageContent response) throws PropertyValidationException {
		this.response = response;
	}
	
	@Override
	public MessageContent getResponse() {
		return response;
	}
	
	@Override
	public void setSignature(String signature) throws PropertyValidationException {
		this.signature = signature;
	}
	
	@Override
	public String getSignature() {
		return (signature == null) ? "" : signature;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
