package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the ScannerInfo entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ScannerInfo", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"deviceId",
	"deviceIp"
})

@XmlRootElement(name = ScannerInfo.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class ScannerInfo implements IScannerInfo {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(ScannerInfo.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "scannerInfo";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.ScannerInfo";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IScannerInfo.class.getName());	
		
	/** The DeviceId field */
	private String deviceId = null;
	
	/** The DeviceIp field */
	private String deviceIp = null;

	/**************************************************************************
	 * ScannerInfo Interface
	 **************************************************************************/
	
	@Override
	public void setDeviceId(String deviceId) throws PropertyValidationException {
		this.deviceId = deviceId;
	}
	
	@Override
	public String getDeviceId() {
		return (deviceId == null) ? "" : deviceId;
	}
	
	@Override
	public void setDeviceIp(String deviceIp) throws PropertyValidationException {
		this.deviceIp = deviceIp;
	}
	
	@Override
	public String getDeviceIp() {
		return (deviceIp == null) ? "" : deviceIp;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
