package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the CurrencyAmount entity interface here
 */
public interface ICurrencyAmount extends IEntity {

	
	/**
	 * Set the Currency
	 *
	 * @param currency
	 * @throws PropertyValidationException
	 */
	public void setCurrency(String currency) throws PropertyValidationException;
	
	/**
	 * Get the Currency
	 *
	 * @return currency
	 */
	public String getCurrency();
	
	
	/**
	 * Set the Value
	 *
	 * @param value
	 * @throws PropertyValidationException
	 */
	public void setValue(long value) throws PropertyValidationException;
	
	/**
	 * Get the Value
	 *
	 * @return value
	 */
	public long getValue();
	
	
}
