package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the ResponseMessage entity interface here
 */
public interface IResponseMessage extends IEntity {

	
	/**
	 * Set the Response
	 *
	 * @param response
	 * @throws PropertyValidationException
	 */
	public void setResponse(MessageContent response) throws PropertyValidationException;
	
	/**
	 * Get the Response
	 *
	 * @return response
	 */
	public MessageContent getResponse();
	
	
	/**
	 * Set the Signature
	 *
	 * @param signature
	 * @throws PropertyValidationException
	 */
	public void setSignature(String signature) throws PropertyValidationException;
	
	/**
	 * Get the Signature
	 *
	 * @return signature
	 */
	public String getSignature();
	
	
}
