package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the MessageContent entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MessageContent", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"head",
	"body"
})

@XmlRootElement(name = MessageContent.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class MessageContent implements IMessageContent {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(MessageContent.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "messageContent";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.MessageContent";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IMessageContent.class.getName());	
		
	/** The Head field */
	@XmlElement(type=MessageHead.class)
	private MessageHead head = new MessageHead();
	
	/** The Body field */
	@XmlElement(type=MessageBody.class)
	private MessageBody body = new MessageBody();

	/**************************************************************************
	 * MessageContent Interface
	 **************************************************************************/
	
	@Override
	public void setHead(MessageHead head) throws PropertyValidationException {
		this.head = head;
	}
	
	@Override
	public MessageHead getHead() {
		return head;
	}
	
	@Override
	public void setBody(MessageBody body) throws PropertyValidationException {
		this.body = body;
	}
	
	@Override
	public MessageBody getBody() {
		return body;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
