package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the ShopInfo entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ShopInfo", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"shopId",
	"shopName"
})

@XmlRootElement(name = ShopInfo.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class ShopInfo implements IShopInfo {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(ShopInfo.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "shopInfo";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.gcash.messages.ShopInfo";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IShopInfo.class.getName());	
		
	/** The ShopId field */
	private String shopId = null;
	
	/** The ShopName field */
	private String shopName = null;

	/**************************************************************************
	 * ShopInfo Interface
	 **************************************************************************/
	
	@Override
	public void setShopId(String shopId) throws PropertyValidationException {
		this.shopId = shopId;
	}
	
	@Override
	public String getShopId() {
		return (shopId == null) ? "" : shopId;
	}
	
	@Override
	public void setShopName(String shopName) throws PropertyValidationException {
		this.shopName = shopName;
	}
	
	@Override
	public String getShopName() {
		return (shopName == null) ? "" : shopName;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
