package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the StatusDetail entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatusDetail", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"acquirementStatus",
	"frozen"
})

@XmlRootElement(name = StatusDetail.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class StatusDetail implements IStatusDetail {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(StatusDetail.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "statusDetail";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.StatusDetail";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IStatusDetail.class.getName());	
		
	/** The AcquirementStatus field */
	private String acquirementStatus = null;
	
	/** The Frozen field */
	private Boolean frozen = null;

	/**************************************************************************
	 * StatusDetail Interface
	 **************************************************************************/
	
	@Override
	public void setAcquirementStatus(String acquirementStatus) throws PropertyValidationException {
		this.acquirementStatus = acquirementStatus;
	}
	
	@Override
	public String getAcquirementStatus() {
		return (acquirementStatus == null) ? "" : acquirementStatus;
	}
	
	@Override
	public void setFrozen(boolean frozen) throws PropertyValidationException {
		this.frozen = frozen;
	}
	
	@Override
	public boolean getFrozen() {
		return (frozen == null) ? false : frozen;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
