package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the User entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "User", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"userId"
})

@XmlRootElement(name = User.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class User implements IUser {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(User.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "user";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.User";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IUser.class.getName());	
		
	/** The UserId field */
	private String userId = null;

	/**************************************************************************
	 * User Interface
	 **************************************************************************/
	
	@Override
	public void setUserId(String userId) throws PropertyValidationException {
		this.userId = userId;
	}
	
	@Override
	public String getUserId() {
		return (userId == null) ? "" : userId;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
